#ifndef __MATRIX_H__
#define __MATRIX_H__

#include <iostream>

class Matrix {
   public:
   const int ROWS;
   const int COLS;
   private:
   double *values;

   public:
   Matrix();
   Matrix(int r, int c);
   ~Matrix();

   int getRows() const { return ROWS; }
   int getCols() const { return COLS; }

   double getValueAt(int r, int c) const;

   void print(std::ostream & out);

};

#endif
